package com.sun.corba.se.impl.encoding;

import com.sun.corba.se.impl.protocol.giopmsgheaders.Message;
import com.sun.corba.se.impl.protocol.giopmsgheaders.FragmentMessage;
import java.nio.ByteBuffer;

public interface BufferManagerRead
{
    public abstract void processFragment(ByteBuffer p0, FragmentMessage p1);
    
    public abstract ByteBufferWithInfo underflow(ByteBufferWithInfo p0);
    
    public abstract void init(Message p0);
    
    public abstract MarkAndResetHandler getMarkAndResetHandler();
    
    public abstract void cancelProcessing(int p0);
    
    public abstract void close(ByteBufferWithInfo p0);
}
